### Name: clusterEvaluation
### Title: Evaluate a given grouping of genes or GO terms.
### Aliases: evaluateClustering analyzeCluster
### Keywords: file

### ** Examples

        ## Not run:        
##D         setOntology("BP")
##D         gomap <- get("gomap",env=GOSimEnv)
##D         allgenes = sample(names(gomap), 1000) # suppose these are all genes
##D         genesOfInterest = sample(allgenes, 20) # suppose these are all genes of interest
##D         
##D         sim = getGeneSim(genesOfInterest,verbose=FALSE) # and these are their similarities
##D         hc = hclust(as.dist(1-sim), method="ward") # use them to perform a clustering
##D         plot(hc) # plot the cluster tree
##D         cl = cutree(hc, k=3) # take 3 clusters  
##D 
##D         if(require(cluster)){
##D                 ev = evaluateClustering(cl, sim) # evaluate the clustering
##D                 print(ev$clusterstats) # print out some statistics
##D                 plot(ev$clustersil,main="") # plot the cluster silhouettes
##D         }
##D         
##D         # investigate cluster 1 further 
##D         if(require(topGO))
##D                 analyzeCluster(genesOfInterest[cl == 1], allgenes, cutoff=0.05) # print out what cluster 1 is about
##D         
## End(Not run)



